/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package client;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

/**
 *
 * @author student1
 */
public class Client {

    private Socket socket;

    public static void main(String[] args) throws IOException {
        Client client = new Client();
        client.connect();
    }

    public void connect() throws IOException {
        socket = new Socket("localhost", 9000);
        System.out.println("Client has been connected");
        communication();
    }

    private void communication() throws IOException {
        while (true) {
            // Keyboard
            BufferedReader inKeyboard = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("C: ");
            String clientMessage = inKeyboard.readLine();

            // Sending
            PrintWriter outSocket = new PrintWriter(socket.getOutputStream());
            outSocket.println(clientMessage);
            outSocket.flush();

            if ("quit".equalsIgnoreCase(clientMessage)) {
                break;
            }

            // Receiving
            BufferedReader inSocket = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            String serverMessage = inSocket.readLine();
            System.out.println("S: " + serverMessage);
        }
        socket.close();
    }

}
