/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package server;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;

/**
 *
 * @author student1
 */
public class Server {

    private Socket socket;

    public static void main(String[] args) throws IOException {
        Server server = new Server();
        server.connect();
    }

    public void connect() throws IOException {
        ServerSocket ss = new ServerSocket(9000);
        System.out.println("Server is up and running");
        socket = ss.accept();
        System.out.println("Client has been connected");
        communication();
    }

    private void communication() throws IOException {
        while (true) {
            // Receiving
            BufferedReader inSocket = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            String clientMessage = inSocket.readLine();
            if ("quit".equalsIgnoreCase(clientMessage)) {
                break;
            }
            System.out.println("C: " + clientMessage);

            // Keyboard
            BufferedReader inKeyboard = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("S: ");
            String serverMessage = inKeyboard.readLine();

            // Sending
            PrintWriter outSocket = new PrintWriter(socket.getOutputStream(), true);
            outSocket.println(serverMessage);
        }
        socket.close();
    }

}
